/* Return sur autre chose qu'une variable        */

public class ExempleReturnSurExpressionEnConsole {

///////////////////////////////////////////////////

  /* Fonction de conversion valeur en radians    */
  /* vers valeur en degrés                       */
  /* Utilisation d'une variable locale           */
  /* pour la valeur retournée                    */

  static double radiansToDegres1(double rdn) {
    double dgr;
    dgr = rdn/Math.PI*180.0;
    return dgr;
  }

  /* Fonction de conversion valeur en radians    */
  /* vers valeur en degrés                       */
  /* Pas d'utilisation d'une variable locale     */
  /* pour la valeur retournée                    */
  /* Retour direct du résultat d'évaluation      */
  /* d'une expression arithmétique               */

  static double radiansToDegres2(double rdn) {
    return rdn/Math.PI*180.0;
  }

  /* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("ExempleReturnSurExpression");
    Console.afficherln(radiansToDegres1(1.0));
    Console.sautDeLigne();
    Console.afficherln(radiansToDegres2(1.0));
  }

///////////////////////////////////////////////////
}